package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.vo.DrawGraphicsSquareVo;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelCollectVo;
import com.xyzc.start.domain.vo.DrawModelVo;
import com.xyzc.start.service.IDiscoverService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 发现
 *
 * @author 杨兴卓
 */
@RequiredArgsConstructor
@RestController
@RequestMapping("/discover")
@CrossOrigin
public class DiscoverPageController {

    private final IDiscoverService discoverService;

    /**
     * 绘画广场
     */
    @GetMapping("/drawSquare")
    public Result<List<DrawGraphicsSquareVo>> drawSquare(Long graphicsId) {
        List<DrawGraphicsSquareVo> drawGraphicsList = discoverService.queryGraphics(graphicsId);

        return Result.ok(drawGraphicsList);
    }


    /**
     * 绘画模型
     */
    @GetMapping("/drawModel")
    public Result<List<DrawModelCollectVo>> drawModel(Long drawModelId) {
        List<DrawModelCollectVo> drawModelList = discoverService.queryDrawModelList(drawModelId);

        return Result.ok(drawModelList);
    }


    /**
     * 绘画助手
     */
    @GetMapping("/drawAssistant")
    public Result<List<Void>> drawAssistant() {


        return Result.ok();
    }

    /**
     * 进入具体绘画模型
     */
    @GetMapping("/drawModelDetail/{modelId}")
    public Result<List<Void>> queryDrawModel(@PathVariable String modelId) {

        return Result.ok();
    }

    /**
     * 精选应用
     */
    @GetMapping("/selectedApp")
    public Result<List<Void>> selectedApp() {

        return Result.ok();
    }

    /**
     * 特色应用列表
     */
    @GetMapping("/featureApp")
    public Result<List<Void>> featureApp() {

        return Result.ok();
    }

    /**
     * 玩转应用列表
     */
    @GetMapping("/playApp")
    public Result<List<Void>> playApp() {

        return Result.ok();
    }

    /**
     * 数字人列表
     */
    @GetMapping("/digitalHuman")
    public Result<List<Void>> digitalHuman() {

        return Result.ok();
    }

}
